# This file created by conda-build 26.3.0
# ------------------------------------------------

package:
  name: cryptography
  version: 49.0.0
source:
  url: https://github.com/pyca/cryptography/archive/refs/tags/49.0.0.tar.gz
  sha256: a533606510cdea9e0f0616c61b18dbe3cfa5a2bbfbf48344a159d6ddc207ae13
build:
  number: '0'
  script: build_main.sh
  noarch: false
  noarch_python: false
  python_version_independent: false
  string: py314hef7b95b_0
requirements:
  build:
    - _openmp_mutex 5.1 52_gnu
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_14
    - gxx_impl_linux-64 14.3.0 he634eba_4
    - gxx_linux-64 14.3.0 hca8765c_14
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgomp 15.2.0 h4751f2c_8
    - libsanitizer 14.3.0 hd4faa28_4
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-devel_linux-64 14.3.0 he7458c1_104
    - rust 1.96.0 hfb20e49_0
    - rust_linux-64 1.96.0 hfb20e49_0
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026b he532380_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - cffi 2.0.0 py314h4eded50_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h6a678d5_1
    - maturin 1.11.5 py314h6e1b9ff_0
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pip 26.1.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - pycparser 3.0 py314h06a4308_0
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - sqlite 3.53.2 h795bf6d_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - wheel 0.46.3 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  run:
    - __glibc >=2.28,<3.0.a0
    - cffi>=2.0.0
    - libgcc >=14
    - openssl >=3.5.7,<4.0a0
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
  run_constrained:
    - bcrypt >=3.1.5
    - python !=3.9.0,!=3.9.1
test:
  imports:
    - cryptography
    - cryptography.fernet
    - cryptography.hazmat
    - cryptography.hazmat.backends
    - cryptography.hazmat.backends.openssl
    - cryptography.hazmat.bindings
    - cryptography.hazmat.bindings.openssl
    - cryptography.hazmat.primitives
    - cryptography.hazmat.primitives.asymmetric
    - cryptography.hazmat.primitives.ciphers
    - cryptography.hazmat.primitives.kdf
    - cryptography.hazmat.primitives.twofactor
    - cryptography.x509
  requires:
    - certifi >=2024
    - cryptography-vectors 49.0.0.*
    - pip
    - pretend >=0.7
    - pytest >=7.4.0
    - pytest-benchmark >=4.0
    - pytest-xdist >=3.5.0
  source_files:
    - pyproject.toml
    - tests
  commands:
    - pip check
    - pytest -v tests
about:
  home: https://github.com/pyca/cryptography
  license: Apache-2.0 OR BSD-3-Clause
  license_family: OTHER
  license_file:
    - LICENSE
    - LICENSE.APACHE
    - LICENSE.BSD
    - vectors/LICENSE
    - vectors/LICENSE.APACHE
    - vectors/LICENSE.BSD
  summary: Provides cryptographic recipes and primitives to Python developers
  description: 'Cryptography is a package which provides cryptographic recipes and

    primitives to Python developers. Our goal is for it to be your

    "cryptographic standard library". It supports 3.8+ / PyPy 7.3.11+.

    cryptography includes both high level recipes and low level interfaces to

    common cryptographic algorithms such as symmetric ciphers,

    message digests, and key derivation functions.

    '
  dev_url: https://github.com/pyca/cryptography
  doc_url: https://cryptography.io
extra:
  recipe-maintainers:
    - chenghlee
    - jakirkham
    - ocefpaf
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/cryptography-feedstock
  sha: 952976819d47462b593589685f75da2c69b021b2
  task_id: Ee3tCn6kR06aHHExv_iGxA
  task_run_id: '0'
  pbp_graph_uuid: 6a1795e7-4b66-435e-b4e5-de530efc5045
